
Summary:        GTK+ UVC Viewer and Capturer
Summary(de):	GTK+ UVC Betrachter und Aufzeichnen
Name: guvcview
Version: 2.0.5
Release: %mkrel 2
Group:          Video
License:        GPLv3+
URL:            http://guvcview.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}gsl-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}portaudio-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}sdl2.0-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}v4l-devel
%ifarch %{ix86}
BuildRequires:  libatlas-devel
%else
BuildRequires:  libatlas-x86_64-devel
%endif
BuildRequires:	libpthread-stubs
Requires: 	gtk+3.0
#------------------------------------
Obsoletes:	%{_lib}guvcview1.1_1
Obsoletes:	%{_lib}guvcview-devel
#------------------------------------

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%description -l de
Ein einfaches GTK-Interface zur Erfassung und Anzeige von Videos durch
den Linux-UVC-Treiber, sollte aber auch mit jedem v4l2-kompatiblen Gerät
zusammen arbeiten.

%prep
%setup -q -n %{name}-src-%{version}

%build
autoreconf -fi
%configure2_5x \
  --disable-debian-menu \
  --disable-silent-rules \
  --disable-static
%make

%install
%__rm -rf %{buildroot}
%make_install

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

%__sed -i '/^Name/s/guvcview/Guvcview/gI' %{buildroot}%{_desktopdir}/%{name}.desktop

%find_lang %{name}
%find_lang gview_v4l2core

%__mv %{buildroot}%{_defaultdocdir}/%{name} _doc
%__rm _doc/INSTALL

find %{buildroot} -name '*.la' -exec %__rm -f {} ';'

#kill these
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/pkgconfig/*.pc


%clean
%__rm -rf %{buildroot}

%files -n %{name} -f %{name}.lang -f gview_v4l2core.lang
%defattr(-,root,root)
%doc _doc/*
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}
%{_libdir}/*.so.*


%changelog
* Mon Jun 19 2017 adrianomorselli <adrianomorselli> 2.0.5-2uplos2017
- rebuild new ffmpeg
